apiVersion: v1
kind: Service
metadata:
  labels:
    app: {{ .Values.service.name }}-svc
  name: {{ .Values.service.name }}
  namespace: {{ .Release.Namespace }}
spec:
  ports:
    - name: gateway
      port: {{ .Values.service.port }}
      protocol: TCP
      nodePort: {{ .Values.service.nodePort }}
  selector:
    app: {{ .Values.service.select }}-deployment
  sessionAffinity: None
  type: NodePort